Package com.enonic.xp.highlight

## Class HighlightedProperties

- java.lang.Object
- - com.enonic.xp.highlight.HighlightedProperties

- All Implemented Interfaces:
    `Iterable<HighlightedProperty>`

      public class HighlightedProperties
      extends Object
      implements Iterable<HighlightedProperty>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `HighlightedProperties.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static HighlightedProperties.Builder` | `create()` |
    `static HighlightedProperties.Builder` | `create​(HighlightedProperties source)` |
    `static HighlightedProperties` | `empty()` |
    `boolean` | `equals​(Object o)` |
    `HighlightedProperty` | `get​(String name)` |
    `int` | `hashCode()` |
    `boolean` | `isEmpty()` |
    `Iterator<HighlightedProperty>` | `iterator()` |
    `int` | `size()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### size

          public int size()

    - #### isEmpty

          public boolean isEmpty()

    - #### get

          public HighlightedProperty get​(String name)

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### empty

          public static HighlightedProperties empty()

    - #### create

          public static HighlightedProperties.Builder create()

    - #### create

          public static HighlightedProperties.Builder create​(HighlightedProperties source)

    - #### iterator

          public Iterator<HighlightedProperty> iterator()

      Specified by:
        `iterator` in interface `Iterable<HighlightedProperty>`